Class CheckIfUserFollowsPlaylistRequest.Builder
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest.Builder<Boolean[], CheckIfUserFollowsPlaylistRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataRequest.Builder<Boolean[], CheckIfUserFollowsPlaylistRequest.Builder>
se.michaelthelin.spotify.requests.data.users.CheckIfUserFollowsPlaylistRequest.Builder
- All Implemented Interfaces:
IRequest.Builder<Boolean[], CheckIfUserFollowsPlaylistRequest.Builder>
- Enclosing class:
CheckIfUserFollowsPlaylistRequest
public static final class CheckIfUserFollowsPlaylistRequest.Builder
extends AbstractDataRequest.Builder<Boolean[], CheckIfUserFollowsPlaylistRequest.Builder>
Builder class for building a
CheckIfUserFollowsPlaylistRequest.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()The request build method.The user IDs setter.playlist_id(String playlist_id) The playlist ID setter.self()Return this instance to simulate a self-type.Methods inherited from class AbstractRequest.Builder
setBody, setBodyParameter, setContentType, setDefaults, setHeader, setHost, setHttpManager, setPath, setPathParameter, setPort, setQueryParameter, setSchemeModifier and TypeMethodDescriptionsetBody(org.apache.hc.core5.http.HttpEntity httpEntity) Set the body for the request.setBodyParameter(String name, X value) Set a body parameter for the request.setContentType(org.apache.hc.core5.http.ContentType contentType) Set the content type for the request.setDefaults(IHttpManager httpManager, String scheme, String host, Integer port) Set default values for the request.Set a header for the request.Set the host for the request.setHttpManager(IHttpManager httpManager) Set the HTTP manager for the request.Set the path for the request.setPathParameter(String name, String value) Set a path parameter for the request.Set the port for the request.setQueryParameter(String name, X value) Set a query parameter for the request.Set the scheme for the request.
-
Constructor Details
-
Builder
Create a newCheckIfUserFollowsPlaylistRequest.Builderinstance.Following a playlist can be done publicly or privately. Checking if a user publicly follows a playlist doesn't require any scopes; if the user is publicly following the playlist, this endpoint returns
true.Checking if the user is privately following a playlist is only possible for the current user when that user has granted access to the
playlist-read-private scope.- Parameters:
accessToken- Required. A valid access token from the Spotify Accounts service.- See Also:
-
-
Method Details
-
playlist_id
The playlist ID setter.- Parameters:
playlist_id- The Spotify ID of the playlist.- Returns:
- A
CheckIfUserFollowsPlaylistRequest.Builder. - See Also:
-
ids
The user IDs setter.- Parameters:
ids- Optional. A single item list containing the current user's Spotify username. Maximum: 1 id.- Returns:
- A
CheckIfUserFollowsPlaylistRequest.Builder. - See Also:
-
build
The request build method.- Returns:
- A custom
CheckIfUserFollowsPlaylistRequest.
-
self
Description copied from class:AbstractRequest.BuilderReturn this instance to simulate a self-type.- Specified by:
selfin classAbstractRequest.Builder<Boolean[], CheckIfUserFollowsPlaylistRequest.Builder>- Returns:
- This instance.
-